/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#pragma warning(disable:4786)

#include "Be.h"

/*
extern _IMPEXP_ROOT area_id		create_area(const char *name, void **start_addr,
										uint32 addr_spec, size_t size, 
										uint32 lock, uint32 protection);

extern _IMPEXP_ROOT area_id		clone_area(const char *name, void **dest_addr, 
						   				uint32 addr_spec, uint32 protection, 
						   				area_id source);

extern _IMPEXP_ROOT area_id		find_area(const char *name);
extern _IMPEXP_ROOT area_id		area_for(void *addr);
extern _IMPEXP_ROOT status_t	delete_area(area_id id);
extern _IMPEXP_ROOT status_t	resize_area(area_id id, size_t new_size);
extern _IMPEXP_ROOT status_t	set_area_protection(area_id id,
										uint32 new_protection);

extern _IMPEXP_ROOT status_t	_get_area_info(area_id id, area_info *ainfo,
										size_t size);
extern _IMPEXP_ROOT status_t	_get_next_area_info(team_id team, int32 *cookie, 
										area_info *ainfo, size_t size);
*/